/* ***** MAIN CSS STARTED ***** */

.main-container {
    width: 100vw;
    max-width: 100%;
    height: 100dvh;
    max-height: 100%;
    position: relative;
}


/* ***** SIDEBAR STARTED ***** */

.sidebar {
    width: 100%;
    height: 100%;
    gap: .7vw;
    padding: 0px;
    background-color: var(--primary-color);
    position: absolute;
    z-index: 2;
    transform: translateX(-100vw);
    transition: transform .5s ease;
}

.sidebar-header {
    height: 8%;
    padding: 0 10px;
}

.sidebar-header .userBtn {
    border-radius: 10px;
    font-size: 3.2vw;
    margin-left: 10px;
}


.sidebar-header .modeBtn {
    font-size: 5vw;
    border-radius: 10px;
}

#closeMenu {
    display: block;
    background-color: var(--secondary-color);
    padding: 10px;
    border-radius: 10px;
    font-size: 3vw;
}

#closeMenu:hover {
    background-color: var(--primary-color);
    padding: 10px;
    border-radius: 10px;
    font-size: 3vw;
}


.sidebar-main-header {
    height: 8%;
    padding: 0px 10px;
}

.sidebar-main-header .heading {
    font-size: 3.7vw;
}

.sidebar-main-header .add {
    font-size: 7vw;
}


.sidebar-main-container {
    height: 85%;
}

.songMeta {
    width: 84%;
    font-size: 3.5vw;
}

.songList li span {
    font-size: 5vw;
    width: 8%;
}

.sidebar-main-footer {
    height: 7%;
    padding: 0px 10px;
}

.sidebar-main-footer ul {
    font-size: 2.8vw;
}




/* ***** MAIN SCREEN STARTED ***** */

.main-screen {
    width: 100%;
    height: 100%;
    z-index: 1;
}


/* 
.sidebar-header {
    height: 8%;
    justify-content: center;
    padding: 5px 10px;
}

.sidebar-header img {
    height: 80%;
}

.sidebar-header nav ul {
    display: none;
}
 */


.main-screen-header {
    height: 8%;
    justify-content: space-between;
    padding: 5px 10px;
}

.main-screen-header img {
    height: fit-content;
    width: 130px;
}

.main-screen-header nav ul {
    display: none;
}

#openMenu{
    display: block;
    font-size: 4vw;
    cursor: pointer;
    color: var(--secondary-color);
    transition: color .5s ease;
}
#openMenu:hover{
    color: var(--primary-color);
    transition: color .5s ease;
}


/* ******* Main Screen Container ********* */

.main-screen-container {
    height: 78%;
    gap: .7vw;
    padding: 0px 10px;
}

.playList-h {
    height: 10%;
    align-items: center;
    font-size: 3.5vw;
}

.playLists-cont {
    height: 90%;
}

.playLists-cont .playList-folderOpen,
.playLists-cont .playList-folders {
    /* border: 2px solid green; */
    height: 44%;
    padding: 10px;
    gap: 1.5vw;
    overflow-y: auto;
    flex-wrap: wrap;
}

#folder-name {
    padding: 10px;
    display: flex;
    align-items: center;
    font-size: 4vw;
}

.playList-card {
    height: 50%;
    width: 28.6vw;
    padding: 5px;
}

.playList-card .card-img {
    height: 80%;
}

.playList-card h4,
.playList-card p {
    height: 20%;
    align-items: flex-end;
    font-size: 3vw;
}

.playbtn {
    width: 30px;
    height: 30px;
}

.playList-card:hover .playbtn {
    bottom: 30%;
}

.favIcon {
    font-size: 5vw;
}

.playList-card:hover .favIcon {
    bottom: 30%;
}

/* **************** STATIC PLAY BAR ********************* */

.main-screen-footer {
    height: 14%;
    justify-content: space-between;
    gap: 5px;
    padding: 10px 10px 0px 10px;
}

.staticPlayBar-top {
    gap: 10px;
}

.staticPlayBar-top span {
    font-size: 3vw;
}

.progress-bar {
    height: 5px;
}

.staticPlayBar-bottom {
    justify-content: space-evenly;
    flex-direction: column;
    align-items: center;
    height: 100%;
}

.now-playing {
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.controls {
    width: 50%;
    justify-content: space-between;
}

.controls button {
    font-size: 5vw;
}

.volume-control {
    display: none;
}